# CHANGELOG

## 1.0.4
- [x] 请求locales文件时加上hash值

## 1.0.3
- [x] 修复语言文件覆盖的问题（将语言文件放到了linksFrontend库）

## 1.0.2
- [x] App增加onCountChange回调

## 1.0.1
- [x] App增加business_user_id属性

## 1.0.0

- [x] 完成通用评论国际化

## 0.6.0

- [x] 添加pageType slice，用于截断评论，点击查看更多回调进行跳转

## 0.5.14

- [x] 增加onDelete回调

## 0.5.13
- [x] emoji增加到每页30个
- [x] emoji增加鼠标滑动功能
- [x] 增加图片预览器
- [x] 上传图片每行显示3张

## 0.5.12
- [x] 支持两种模式的分页器
- [x] 分页器支持受控模式

## 0.5.11
- [x] 增加链接解析功能

## 0.5.10
- [x] 扩展表情包

## 0.5.9
- [x] fix: 优化表情、图片解析，无法解析的内容返回原文

## 0.5.8
- [x] Editor增加autoFocus属性

## 0.5.7
- [x] fix: 修复评论内容不换行超出区域的问题

## 0.5.6
- [x] Editor增加maxLength属性
- [x] RenderText增加换行支持 

## 0.5.5

- [x] 增加删除评论、回复功能
- [x] 错误回调onError增加info:{ response } 参数

## 0.5.4

- [x] 暂无昵称 -> 游客
- [x] 上传图片失败时, 该图片不再出现在onSubmit回调的files中
- [x] feat: Editor 增加 props: onCommentSuccess

## 0.5.3

- [x] fix: 修复开启closeUploadWhenBlur后, 上传图片弹框的右上角关闭按钮无效的问题.
- [x] fix: 修复上传大图时, 使用blob导致浏览器很卡的问题.
- [x] fix: 增大表情翻页的触发区域.

## 0.5.2

- [x] feat: Editor 增加 props: showError、onError、beforeSubmit
- [x] feat: Comment 增加 props: showError、onError

## 0.5.1

- [x] feat: Editor 添加 props: closeUploadWhenBlur

## 0.5.0

- [x] fix: /oss/sts api
- [x] fix: remove showHeader 
- [x] fix: 去掉昵称的超链接

## 0.4.1

- [x] fix: XSS 注入
- [x] feat: Comment 添加 showAlertComment/showAlertReply/showAlertFavor 属性
- [x] feat: Editor 添加 maxUpload 属性，定义最多上传的图片数量

## 0.4.0

- [x] fix: 前端 HTML 编码

## 0.3.1

- [x] fix: 修复获取 OSS 上传的接口地址

## 0.3.0 

- [x] feat: 添加 `RenderText` 用于渲染带表情的文本
- [x] feat: `onSubmit` 回调的参数由 `value` 改为 `{ text<string>, files<array> }`
- [x] feat: `Editor` 组件添加 `resetState` 方法，用于重置组件 `state`
- [x] deprecate:  `Comment` 不再推荐使用 `token` 属性

## 0.2.1

- [x] feat: 添加 props token
- [x] feat: 编辑器没有值的时候，默认处于 disabled 状态

## 0.2.0

- [x] feat: 添加 showHeader 属性
- [x] feat: 添加 onSubmit 属性
- [x] feat: 添加 btnSubmitText 属性
- [x] feat: 添加 btnLoading 属性
- [x] feat: 添加 btnDisable 属性
- [x] feat: 添加 button 属性
- [x] feat: 添加 emojiToolIcon 属性
- [x] feat: 添加 imageToolIcon 属性
- [x] refactor: 完全解藕编辑器组件，由 Comment 实现评论逻辑
- [x] fixed: 发呆表情变成了 undefined
- [x] fixed: 输入表情之后，之前的文字被覆盖了
- [x] fixed: 统一前后端错误提示
- [x] styles: 样式都以 `comment` 开头

## 0.1.0

- [x] 不兼容更新。
- [x] 添加了很多 `Props`
- [x] 组件导出为 `Comment` 和 `Editor`




