"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * 当前支持的语言
 */
var SUPPORT_LOCALES = exports.SUPPORT_LOCALES = [{
  name: "English",
  value: "en-US"
}, {
  name: "简体中文",
  value: "zh-CN"
}];

// 服务端返回的英文短语和中文提示的对应
var LOCALES_RESPONSE = exports.LOCALES_RESPONSE = {
  "zh-CN": {
    "not found": "没有数据",
    "auth failed": "请先登录",
    "create comment failed": "评论未发送",
    "comment favor failed": "点赞失败",
    "delete comment favor failed": "取消点赞失败",
    "get comments failed": "评论加载失败",
    "create reply failed": "回复失败",
    "reply favor failed": "点赞失败",
    "delete reply favor failed": "取消点赞失败",
    "get replies failed": "回复加载失败"
  },
  "en-US": {
    "not found": "No data",
    "auth failed": "Please Login",
    "create comment failed": "Comments not sent",
    "comment favor failed": "Liking failed",
    "delete comment favor failed": "Unliking failed",
    "get comments failed": "Comments loading failed",
    "create reply failed": "Replying failed",
    "reply favor failed": "Liking failed",
    "delete reply favor failed": "Unliking failed",
    "get replies failed": "Loading of replies failed"
  }
};
//# sourceMappingURL=index.js.map